DaggerComponent

com.uva.rafael.tfg_goniometer.dependencyInjection

## Class DaggerComponent

- java.lang.Object
- - com.uva.rafael.tfg_goniometer.dependencyInjection.DaggerComponent

- All Implemented Interfaces:
    Component

      public final class DaggerComponent
      extends java.lang.Object
      implements Component

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `DaggerComponent.Builder`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static DaggerComponent.Builder` | `builder()`
    `void` | `injectHomeFragment(HomeFragment fragment)`
    `void` | `injectMainActivity(MainActivity activity)`
    `void` | `injectMedicionFragment(MedicionFragment fragment)`
    `void` | `injectNuevaMedicionFragment(NuevaMedicionFragment fragment)`
    `void` | `injectNuevoPacienteFragment(NuevoPacienteFragment fragment)`
    `void` | `injectPacientesFragment(PacientesFragment fragment)`
    `void` | `injectPerfilPacienteFragment(PerfilPacienteFragment fragment)`
    `void` | `injectSobreAppFragment(SobreAppFragment fragment)`
    `void` | `injectUltimasMedicionesFragment(UltimasMedicionesFragment fragment)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### builder

          public static DaggerComponent.Builder builder()

    - #### injectMainActivity

          public void injectMainActivity(MainActivity activity)

      Specified by:
        `injectMainActivity` in interface `Component`

    - #### injectHomeFragment

          public void injectHomeFragment(HomeFragment fragment)

      Specified by:
        `injectHomeFragment` in interface `Component`

    - #### injectMedicionFragment

          public void injectMedicionFragment(MedicionFragment fragment)

      Specified by:
        `injectMedicionFragment` in interface `Component`

    - #### injectPacientesFragment

          public void injectPacientesFragment(PacientesFragment fragment)

      Specified by:
        `injectPacientesFragment` in interface `Component`

    - #### injectNuevoPacienteFragment

          public void injectNuevoPacienteFragment(NuevoPacienteFragment fragment)

      Specified by:
        `injectNuevoPacienteFragment` in interface `Component`

    - #### injectPerfilPacienteFragment

          public void injectPerfilPacienteFragment(PerfilPacienteFragment fragment)

      Specified by:
        `injectPerfilPacienteFragment` in interface `Component`

    - #### injectNuevaMedicionFragment

          public void injectNuevaMedicionFragment(NuevaMedicionFragment fragment)

      Specified by:
        `injectNuevaMedicionFragment` in interface `Component`

    - #### injectUltimasMedicionesFragment

          public void injectUltimasMedicionesFragment(UltimasMedicionesFragment fragment)

      Specified by:
        `injectUltimasMedicionesFragment` in interface `Component`

    - #### injectSobreAppFragment

          public void injectSobreAppFragment(SobreAppFragment fragment)

      Specified by:
        `injectSobreAppFragment` in interface `Component`